/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.graphic.table.sort;

import gus05.framework.core.Entity;
import gus05.framework.features.Give;

import javax.swing.JTable;



public class TableSort implements Entity, Give {

    public String getName()				{return "gus.graphic.table.sort";}
    public String getCreationDate()		{return "2006.07.15";}

    
    
    public void give(Object obj) throws Exception
    {
        JTable table = (JTable)obj;
        TableSorter sorter = new TableSorter(table.getModel());
        sorter.setTableHeader(table.getTableHeader());
        table.setModel(sorter);
    }

}
