/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.graphic.table.tooltip;

import java.awt.Point;
import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionAdapter;

import javax.swing.JTable;


class TooltipHandler extends MouseMotionAdapter {

    private JTable table;

    public TooltipHandler(JTable table)
    {
        super();
        this.table = table;
        table.addMouseMotionListener(this);
    }
    
    public void mouseMoved(MouseEvent evt)
    {
        Point p = evt.getPoint();
        
        int x = table.rowAtPoint(p);
        int y = table.columnAtPoint(p);
        
        //if(x!=-1 && y!=-1)
        if(table.getValueAt(x,y)!=null)
        table.setToolTipText(table.getValueAt(x,y).toString());
        else table.setToolTipText(null);
        
        if(table.getColumnName(y)!=null)
        table.getTableHeader().setToolTipText(table.getColumnName(y));
        else table.getTableHeader().setToolTipText(null);
    }
}
