package gus05.entity.gus.security.app.uservault.gui1;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Graphic;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JPanel;
import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Map;



public class UserVaultGui1 implements Entity, Graphic, ActionListener {


    public String getName()				{return "gus.security.app.uservault.gui1";}
    public String getCreationDate()		{return "2008.06.28";}


    private Service vault;
    private Service editor;
    
    private JPanel panel;
    private JButton button;



    public UserVaultGui1() throws Exception
    {
    	vault = Outside.service(this,"gus.security.app.uservault");
    	editor = Outside.service(this,"gus.data.editor.map.string.editor2b");
    	
    	button = new JButton("connect to vault");
    	button.addActionListener(this);
    	
        panel = new JPanel(new BorderLayout());
        panel.add(editor.gui(),BorderLayout.CENTER);
        panel.add(button,BorderLayout.SOUTH);
    }



    public JComponent gui()
    {return panel;}
    
    
	public void actionPerformed(ActionEvent e)
	{connect();}
	
	
	
	private void connect()
	{
		try
		{
			Map map = (Map) vault.provide();
			if(map==null) return;
			
			editor.give(map);
			button.setEnabled(false);
		}
		catch(Exception e)
		{Outside.err(this,"connect()",e);}
	}


}

