package gus05.entity.gus.tobytearray.base64tobyte;


import java.io.InputStream;

import sun.misc.BASE64Decoder;

import gus05.framework.core.Entity;
import gus05.framework.features.Transform;



public class Base64ToByte implements Entity, Transform {


    public String getName()				{return "gus.tobytearray.base64tobyte";}
    public String getCreationDate()		{return "2008.04.01";}



    private BASE64Decoder decoder;
    
    public Base64ToByte()
    {decoder = new BASE64Decoder();}
    



    public Object transform(Object obj) throws Exception
    {
        if(obj instanceof String)
            return decoder.decodeBuffer((String)obj);
        if(obj instanceof InputStream)
            return decoder.decodeBuffer((InputStream)obj);
        
        throw new Exception("Invalid data type: "+obj);
    }
}

