package gus05.manager.gus.endorf.layer2.printstream;

import gus05.manager.gus.endorf.layer2.tools.Tools_printStream;
import java.io.PrintStream;


public class PrintStreamErr extends PrintStream {

    
    private PrintStream err0;
    private PrintStream out;
    
    public PrintStreamErr(PrintStream out)
    {
        super(Tools_printStream.nullOutput);
        err0 = System.err;
        this.out = out;
    }
    
    
    
    
    
    
    public void print(String m)
    {
        err0.print(m);
        out.print("#"+m);
    }
    
    public void println()
    {
        err0.println();
        out.println("#");
    }
    
    public void println(String m)
    {
        err0.println(m);
        out.println("#"+m);
    }
    
    public void println(boolean val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    public void println(char val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    public void println(char[] val)
    {
        err0.println(val);
        out.println("#"+new String(val));
    }
    
    public void println(double val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    public void println(float val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    public void println(int val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    public void println(long val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    public void println(Object val)
    {
        err0.println(val);
        out.println("#"+val);
    }
    
    
    public String toString()
    {return err0.toString();}
    
    
    public void close()
    {err0.close();}

}
