package gus05.entity.gus.data.editor.map.string.editor2b;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Give;
import gus05.framework.features.Graphic;

import javax.swing.JComponent;
import javax.swing.JTabbedPane;



public class MapStringEditor2b implements Entity, Give, Graphic {


    public String getName()				{return "gus.data.editor.map.string.editor2b";}
    public String getCreationDate()		{return "2008.05.12";}



    private Service mapEditor1;
    private Service mapEditor2;
    
    
    private Map map;
    
    private JTabbedPane tab;
    
    
    
    
    public MapStringEditor2b() throws Exception
    {
        mapEditor1 = Outside.service(this,"mapEditor1");
        mapEditor2 = Outside.service(this,"mapEditor2");
        
        tab = new JTabbedPane();
        tab.addTab("editor1",mapEditor1.gui());
        tab.addTab("editor2",mapEditor2.gui());
    }
    
    
    
    
    
    
    



    public void give(Object obj) throws Exception
    {
        map = (Map)obj;
        mapEditor1.give(map);
        mapEditor2.give(map);
    }
    
    

    public JComponent gui()
    {return tab;}

}

