package gus05.entity.gus.security.askinfo.password1;


import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Provide;

import javax.swing.ImageIcon;
import javax.swing.JFrame;




public class AskPassword1 implements Entity, Provide {


    public String getName()				{return "gus.security.askinfo.password1";}
    public String getCreationDate()		{return "2008.06.28";}


    private JFrame mainFrame;
    private PasswordDialog dialog;
    private ImageIcon icon;
    
    

    public AskPassword1() throws Exception
    {
    	mainFrame = (JFrame) Outside.resource(this,"app.gui.frame");
    	icon = (ImageIcon) Outside.resource(this,"icon#SECURITY_password");
    	
    	dialog = new PasswordDialog(mainFrame);
    	if(icon!=null) dialog.setIconImage(icon.getImage());
    }

    public Object provide() throws Exception
    {
    	dialog.setVisible(true);
    	return dialog.getPassword();
    }


}

