package gus05.manager.gus.endorf.layer3.tools;

import java.io.File;
import java.net.URL;
import java.util.Iterator;
import java.util.Properties;

import gus05.manager.gus.endorf.layer3.system1.System1;

public class Tools_debug {

    
    
    private static void println(String m)
    {System1.appOut.println(m);}
    
    
    
    
    public static void displayProp(String name, Properties p)
    {
        if(!System1.debug) return;
        println("display properties: "+name);
        Iterator it = p.keySet().iterator();
        
        int n = 0;
        while(it.hasNext())
        {
            String key = (String) it.next();
            println(" ("+n+")- "+key+" = "+p.getProperty(key));
            n++;
        }
    }
    
    
    
    
    public static void displayStringArray(String name, String[] a)
    {
        if(!System1.debug) return;
        println("display string array: "+name);
        for(int i=0;i<a.length;i++)
        println(" -"+i+" = "+a[i]);
    }
    
    
    
    
    public static void displayFile(String name, File f)
    {
        if(!System1.debug) return;
        StringBuilder b = new StringBuilder("display file: "+name+" = ");
        if(f==null) b.append("null");
        else
        {
            b.append(f.getAbsolutePath());
            if(!f.exists()) b.append(" (does not exist)");
        }
        println(b.toString());
    }
    
    
    
    
    public static void displayURL(String name, URL url)
    {
        if(!System1.debug) return;
        StringBuilder b = new StringBuilder("display url: "+name+" = ");
        if(url==null) b.append("null");
        else b.append(url.toString());
            
        println(b.toString());
    }
}
